# Antiderivatives
An antiderivative is useful when you know the rate of change, and you want to find a point from that rate of change

> A function $F$ is said to be an *antiderivative* of $f$ if $F'(x) = f(x)$ 

## Examples
> Find the antiderivative of the function $y = x^2$

1. We know that $f'(x) = 2x^1$


## Formulas

| Differentiation Formula                               | Integration Formula                                     |
| ----------------------------------------------------- | ------------------------------------------------------- |
| $\dfrac{d}{dx} x^n = nx^{x-1}$                        | $\int x^n dx = \dfrac{1}{n+1}x^{n+1}+ C$ for $n \ne -1$ |
| $\dfrac{d}{dx} kx = k$                                | $\int k \space dx = kx + C$                             |
| $\dfrac{d}{dx} \ln \|x\| = \dfrac{1}{x}$              | <br>$\int \dfrac{1}{x}dx = \ln \|x\| + C$               |
| $\dfrac{d}{dx} e^x = e^x$                             | <br>$\int e^x dx = e^x + C$                             |
| $\dfrac{d}{dx} a^x = (\ln{a}) a^x$                    | $\int a^xdx = \ln \|x\| + C$                            |
| $\dfrac{d}{dx} \sin x = \cos x$                       | $\int                                                   |
| $\dfrac{d}{dx} \cos x = -\sin x$                      |                                                         |
| $\dfrac{d}{dx} \tan{x} = \sec^2 x$                    |                                                         |
| $\dfrac{d}{dx} \sec x = \sec x \tan x$                |                                                         |
| $\dfrac{d}{dx} \sin^{-1} x = \dfrac{1}{\sqrt{1-x^2}}$ |                                                         |
| $\dfrac{d}{dx} \tan^{-1} x = \dfrac{1}{1+x^2}$        |                                                         |
| $\dfrac{d}{dx} k f(x) = k f'(x)$                      |                                                         |
| $\dfrac{d}{dx} f(x) \pm g(x) = f'(x) \pm g'(x)$       |                                                         |
