- An overweight person has extra weight from bones, fat, muscle, body fat, and/or body wader
- Obesity is a condition characterized by excessive and unhealthy bodyfat

# Consequences
## Obesity
- Type II Diabetes (DM)
- **Hypertension**
- Cardiovascular disease
- **Obstructive sleep apnea**
- Osteoarthritis
- Infertility
- Certain cancers
- Gallbladder disease
- Respiratory problems
- Surgical complications
- Clinical depression
- Metabolic syndrome
- **Stroke**

# Underweight
- Fatigue / Anemia
- Nutrient deficiencies
- Lack of energy
- Poor concentration
- Unhealthy hair, skin, nails
- Osteoporosis
- Illness/infection
- Bone fractures
- Amenorrhea
- Infertility
- High risk pregnancy
- Clinical depression
- Low body temperature

# BMI
- A numerical value based on the ratio between a person's height and weight that is used to **classify a person's weight** and **measure risk for disease**
- Can be calculated using:
$$ \dfrac{Weight (kg)}{Height (m)^2} or \dfrac{Weight (lbs)}{Height (in)^2} * 703 $$
Conversions:
- Lbs -> Kg: Divide by 2.2
- Feet -> Inches: Multiply by 12
- Inches -> Meters: Multiply by 2.54 / 100

## Ranges
- Underweight: BMI < 18.5
- Healthy weight: BMI 18.5 - 24.9
- Overweight: BMI 25.0 - 29.9
- Obese: BMI >= Obses
	- Obese Class I: BMI 30-34.9
	- Obese Class II: BMI 35-39.9
	- Obese Class III: BMI >=40

## Limitations
Not always accurate for:
- Highly muscular individuals
- Older adults
- Chronically ill individuals
- BMI does not take gender, age, race, or activity level into account

## NWO
- Normal weight obesity refers to a normal body weight as measured by BMI, but they actually have higher body fat
- Comes with an associated risk of insulin resistance
- Diabetes
- Coronary artery disease

# Body Composition and Fat Distribution
- Body composition is the relative and absolute measurement of body tissues, usually expressed as a percent body fat
- Adipose tissue refers to fat cells
- Total body fat refers to to adipose tissue and essential fat
- Essential fat is fat that is vital for survival; found in cell membranes, certain bones, and nervous tissue.
- **Subcutaneous** is fat accumulation of adipose tissue cells in the tissue under the skin.
	- This layer helps to:
		- *Insulate the body against cold temps*
		- *Protect the body from bumps and bruises*
- **Visceral fat** is the accumulation of adipose cells under the abdominal muscles and over the digestive organs to protect them

- Types of obesity
	- **Apple shaped (Central body)**: Central body obesity: Risk of heart diseases, stroke, diabetes, HTN, cancer. This is more common in men. This is symbolic of extra visceral fat stores
	- **Gynoid (Pear shaped)**: Not associated w/ Chronic Disease Risk

## Assessment
- Hydrostatic weight (error of 2-3%)
- Air displacement plethysmography- BODPOD (error of 3-5%)
- Dual energy x-ray absorptiometry: DEXA (Error of 1-4%)
- **Bio-electrical impedance** (Error: 3-4%) Sends a shock through your body and measures how long it takes. Body fat resists electricity more.
- Skinfold calipers (Error 3-5%)
- **Waist circumference -> 35 inches for a women** or **>40 inches for a man** is associated with central adiposity and increased health risk, specifically CVD risk

## Health
- Losing as little as 5% of excess body fat
	- Can increase HDL cholesterol levels
	- Reduce high blood pressure
	- Improve glucose tolerance

# Energy Exchange
## Energy In
- Carbs
- Lipids
- Proteins
- Alcohol

## Energy Out (Total Energy Expenditure )
- Basal metabolic rate
	- The minimum number of kcals required to maintain normal body function after fasting and resting for 12 hours. **Accounts for ~60-75% of an individual's total energy use**
	- Factors that increase BMR include thyroid hormone levels and postexercise recovery
	- Factors that decrease BMR include starvation and aging.
- Physical activity
- Thermic effect of food (digestion, processing, et cetera)
- Non-exercise activity

Ghrelin is a hormone secreted by the stomach that stimulates eating behavior. Grehlin